//: C06:ReplaceStrings.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Namístě nahrazuje řetězce.
#include <algorithm>
#include <cstddef>
#include <iostream>
#include <string>
using namespace std;

bool obsahuje_i(const string& s) {
  return s.find('i') != string::npos;
}

int main() {
  string a[] = {"čti", "mé", "rty"};
  const size_t SIZE = sizeof a / sizeof a[0];
  replace_if(a, a + SIZE, obsahuje_i, string("polib"));
  string* p = a;
  while(p != a + SIZE)
    cout << *p++ << endl;
} ///:~
